> ## Documentation Index
> Fetch the complete documentation index at: https://scaleup-c34c4386.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter Cliente

> Retorna o perfil do cliente autenticado no portal do cliente.

Retorna os dados do cliente autenticado com base no token de sessão fornecido.

## Autenticação

> [!NOTE]
>
> Requer **Customer Session Token** no header `Authorization: Bearer cst_xxx`.

## Requisição

**Authorization** `string` *required*

Token de sessão do cliente. Formato: `Bearer cst_xxx`

```bash cURL theme={null}
curl -X GET https://api.chargefy.io/api/v1/customer-portal/customer \
  -H "Authorization: Bearer cst_xxx"
```

## Resposta

**id** `string`

Identificador único do cliente.

**email** `string`

E-mail do cliente.

**name** `string`

Nome do cliente.

**avatar\_url** `string | null`

URL do avatar do cliente.

**organization\_id** `string`

ID da organização à qual o cliente pertence.

**created\_at** `string`

Data de criação do registro.

```json Resposta 200 theme={null}
{
  "id": "cus_1234567890",
  "email": "cliente@exemplo.com.br",
  "name": "João Silva",
  "avatar_url": null,
  "organization_id": "org_abc123",
  "tax_id": "123.456.789-00",
  "billing_address": {
    "line1": "Rua Exemplo, 123",
    "city": "São Paulo",
    "state": "SP",
    "postal_code": "01001-000",
    "country": "BR"
  },
  "created_at": "2025-01-15T10:30:00Z",
  "updated_at": "2025-06-20T14:00:00Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.